       IDENTIFICATION DIVISION.
       PROGRAM-ID.    IVLOGSC1.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
      * SOURCE MODULE IVLOGSC1.CBL
      *****************************************************************
      * IVLOGSC1 - Test for making a call to SIMOLOGS.
      *
      * DESCRIPTION
      * -----------
      * This program will post a message to the following devices.
      * 1. The user-defined SYSOUT.
      * 2. The Operator or System Console.
      * 3. A used-defined log file.
      *
      *****************************************************************
      * MAINTENANCE
      * -----------
      * 1999/03/89 SimoTime, Created program.
      * 1999/03/89 SimoTime, No changes to date.
      *
      *****************************************************************
       ENVIRONMENT DIVISION.
      *****************************************************************
       DATA DIVISION.
       WORKING-STORAGE SECTION.
      *****************************************************************
      *    Data-structure for Title and Copyright...
      *    ------------------------------------------------------------
       01  SIM-TITLE.
           05  T1 pic X(11) value '* IVLOGSC1 '.
           05  T2 pic X(34) value 'Test for making a call to SIMOLOGS'.
           05  T3 pic X(10) value ' v08.06.05'.
           05  T4 pic X(24) value ' http://www.simotime.com'.
       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* IVLOGSC1 '.
           05  C2 pic X(20) value 'Copyright 1987-2016 '.
           05  C3 pic X(28) value '   SimoTime Technologies    '.
           05  C4 pic X(20) value ' All Rights Reserved'.

       COPY PASSLOGS.

      *****************************************************************
       PROCEDURE DIVISION.
           perform POST-STARTUP-INFO

           MOVE '* IVLOGSC1 Hello World' to SIMOLOGS-MESSAGE
           MOVE 'OPR1'        to SIMOLOGS-REQUEST
           CALL 'SIMOLOGS'    using SIMOLOGS-PASS-AREA



           GOBACK.

      *****************************************************************
       POST-STARTUP-INFO.
           display SIM-TITLE
           display SIM-COPYRIGHT
           exit.
