@echo OFF
rem  * *******************************************************************
rem  *               IVLOGSW1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text    - Post a message to a user-defined SYSLOG device
rem  * Author  - SimoTime Technologies
rem  * Date    - November 11, 2003
rem  * Version - 06.07.16
rem  *
rem  * This procedure uses the SimoNOTE.CMD to display information to the
rem  * screen and write to a log file.
rem  * the parameters to be passed as if they were from JCL.
rem  * The SimoNOTE programs is available from the Simotime web site
rem  * and is part of the SimoMODS package.
rem  *
rem  * The call to Env1BASE will set the environment variables. This
rem  * technique is used to define a single place where commonly use
rem  * environemnt variable may be set and then used by multiple users.
rem  *
rem  * This set of programs will run on a Personal Computer with Windows
rem  * and Micro Focus Net Express or Mainframe Express.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 4, Set the global environment variables...
rem  *
     set CmdName=IVLOGSW1
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%, V08.06.05, User is %USERNAME%"
rem  * ********************************************************************
rem  * Step 2 of 4, Create a New SYSLOG File...
rem  *
     set SYSLOG=%BASELIB1%\DATA\APPL\SIMOTIME.SYSLOG.IVLOGSW1.DAT
     run SYSLOGC8
rem  * ********************************************************************
rem  * Step 3 of 4, Execute the sample program...
rem  *
     run IVP4LOGS
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  * ********************************************************************
rem  * Step 4 of 4, End of Job...
rem  *
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus% "
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus% "
     set SYSNOTE=%BASEAPP%\LOGS\SYSNOTE_%CmdName%.TXT
     echo %DATE% - %TIME% Starting User ABEND Processing for %CmdName%>>%SYSNOTE%
     set >>%SYSNOTE%
     echo %DATE% - %TIME% Complete User ABEND Processing for %CmdName%>>%SYSNOTE%
     goto :End
:End
     call SimoNOTE "Conclude SYSOUT is %SYSOUT%"
     call SimoNOTE "Conclude SYSLOG is %SYSLOG%"
     if not "%SIMOMODE%" == "BATCH" pause
     exit /B %JobStatus%
